org.encog.util.normalize.segregate.index

## Class IndexSegregator

- java.lang.Object
- - org.encog.util.normalize.segregate.index.IndexSegregator

- All Implemented Interfaces:
    Serializable, Segregator
  Direct Known Subclasses:
    IndexRangeSegregator, IndexSampleSegregator

      public abstract class IndexSegregator
      extends Object
      implements Segregator

  The index segregator. An abstract class to build index based segregators off of. An index segregator is used to segregate the data according to its index. Nothing about the data is actually compared. This makes the index range segregator very useful for breaking the data into training and validation sets. For example, you could very easily determine that 70% of the data is for training, and 30% for validation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexSegregator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentIndex()`
    `DataNormalization` | `getNormalization()`
    `void` | `init(DataNormalization normalization)` Setup this class with the specified normalization object.
    `void` | `passInit()` Reset the counter to zero.
    `void` | `rollIndex()` Used to increase the current index as data is processed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.encog.util.normalize.segregate.Segregator

      `shouldInclude`

- - ### Constructor Detail

    - #### IndexSegregator

          public IndexSegregator()

  - ### Method Detail

    - #### getCurrentIndex

          public int getCurrentIndex()

      Returns:
        The current index.

    - #### getNormalization

          public DataNormalization getNormalization()

      Specified by:
        `getNormalization` in interface `Segregator`
      Returns:
        The normalization object this object will use.

    - #### init

          public void init(DataNormalization normalization)

      Setup this class with the specified normalization object.
      Specified by:
        `init` in interface `Segregator`
      Parameters:
        `normalization` - Normalization object.

    - #### rollIndex

          public void rollIndex()

      Used to increase the current index as data is processed.

    - #### passInit

          public void passInit()

      Reset the counter to zero.
      Specified by:
        `passInit` in interface `Segregator`

Copyright © 2014. All Rights Reserved.